# IGListGridCollectionViewLayout

    @interface IGListGridCollectionViewLayout : UICollectionViewLayout

`IGListGridCollectionViewLayout` provides a vertically-scrolling, section-based grid layout for `UICollectionView`. Items in the layout are displayed consecutively in a grid with exactly 1 item per section. If items are square, the appearance would be similar to the iOS Photos app. However, the size of the items for each section can vary.

- `minimumLineSpacing`

  The minimum spacing to use between lines of items in the grid. The default value is `0.0`.

  #### Declaration

  Objective-C

      @property (assign, readwrite, nonatomic) CGFloat minimumLineSpacing;

- `minimumInteritemSpacing`

  The minimum spacing to use between items in the same row. The default value is `0.0`.

  #### Declaration

  Objective-C

      @property (assign, readwrite, nonatomic) CGFloat minimumInteritemSpacing;

- `itemSize`

  The default size to use for cells. The default value is `(0.0, 0.0)`. If this size is non-zero, the layout will use this item size for all items. When the size is zero (the default), then the layout will query the collection view’s delegate for the size.

  #### Declaration

  Objective-C

      @property (assign, readwrite, nonatomic) CGSize itemSize;

© 2017 Instagram. All rights reserved. (Last updated: 2017-01-04)

Generated by jazzy ♪♫ v0.7.3, a Realm project.